#ifndef SCREEM_PAGE_MODEL_H
#define SCREEM_PAGE_MODEL_H

#include <gtk/gtktreestore.h>

#include "screem-page.h"

#define SCREEM_TYPE_PAGE_MODEL            (screem_page_model_get_type ())
#define SCREEM_PAGE_MODEL(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), SCREEM_TYPE_PAGE_MODEL, ScreemPageModel))
#define SCREEM_PAGE_MODEL_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), SCREEM_TYPE_PAGE_MODEL, ScreemPageModelClass))
#define SCREEM_IS_PAGE_MODEL(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), SCREEM_TYPE_PAGE_MODEL))

typedef struct ScreemPageModelPrivate ScreemPageModelPrivate;

typedef enum {
	SCREEM_PAGE_MODEL_NAME,
	SCREEM_PAGE_MODEL_TEXT,
	SCREEM_PAGE_MODEL_START,
	SCREEM_PAGE_MODEL_END,
	SCREEM_PAGE_MODEL_VALID,
	SCREEM_PAGE_MODEL_TAG_LENGTH,
	SCREEM_PAGE_MODEL_MAX
} ScreemPageModelCols;

typedef struct  {
	GtkTreeStore parent;

	ScreemPageModelPrivate *private;
} ScreemPageModel;

typedef struct {
        GtkTreeStoreClass parent_class;

} ScreemPageModelClass;

ScreemPageModel *screem_page_model_new( ScreemPage *page, GObject *app );
void screem_page_model_force_check( ScreemPageModel *model );

GType screem_page_model_get_type( void );

#endif
